%global packname  rtracklayer

Name:             R-%{packname}
Version:          1.18.2
Release:          1%{?dist}
Summary:          R interface to genome browsers and their annotation tracks
Group:            Applications/Productivity
License:          Artistic 2.0 and BSD
URL:              http://www.bioconductor.org/packages/release/bioc/html/rtracklayer.html
Source0:          http://www.bioconductor.org/packages/2.9/bioc/src/contrib/%{packname}_%{version}.tar.gz
Source1:          rtracklayer_jimkent_license.txt
Patch0:           R-rtracklayer-1.18.2-no-zlibbioc.patch
Requires:         R-core >= 2.10.0, texlive-latex, R-methods, R-RCurl >= 1.4.2, R-XML >= 1.98.0 
Requires:         R-IRanges >= 1.11.34, R-GenomicRanges >= 1.9.6, R-Biostrings >= 2.21.12 
Requires:         R-BSgenome >= 1.15.17, R-Rsamtools >= 1.7.3
BuildRequires:    R-devel >= 2.10.0, R-methods, R-RCurl >= 1.4.2, R-XML >= 1.98.0
BuildRequires:    R-IRanges-devel >= 1.11.34, R-GenomicRanges >= 1.9.6, R-Biostrings-devel >= 2.21.12
BuildRequires:    R-BSgenome >= 1.15.17, R-Rsamtools-devel >= 1.7.3, zlib-devel

%description
Extensible framework for interacting with multiple genome browsers (currently 
UCSC built-in) and manipulating annotation tracks in various formats 
(currently GFF, BED, bedGraph, BED15, WIG, and BigWig built-in). The user may
export/import tracks to/from the supported browsers, as well as query and 
modify the browser state, such as the current viewport.

%prep
%setup -c -q -n %{packname}
%patch0 -p0 -b .no-zlibbioc
# This email confirms that we have permission to use the Jim Kent 
# copyrighted files under the BSD license.
cp %{SOURCE1} .

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

# Zero file
rm -rf %{buildroot}%{_libdir}/R/library/%{packname}/tests/quickload/T_species_Oct_2011/bedGraphData.bw

%check
# All sorts of missing Suggests prevents this from working.
# %%{_bindir}/R CMD check %%{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/doc/
%doc rtracklayer_jimkent_license.txt
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/data/
%{_libdir}/R/library/%{packname}/demo/
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/notes/
%{_libdir}/R/library/%{packname}/scripts/
%{_libdir}/R/library/%{packname}/tests/
%{_libdir}/R/library/%{packname}/unitTests/

%changelog
* Fri Feb 22 2013 Tom Callaway <spot@fedoraproject.org> - 1.18.2-1
- update to 1.18.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 14 2011 Tom Callaway <spot@fedoraproject.org> 1.14.1-2
- update licensing with clarification from Jim Kent

* Thu Nov 10 2011 Tom "spot" Callaway <tcallawa@redhat.com> 1.14.1-1
- initial package for Fedora
